/**
 * Copyright (C) 2008 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

/**
 *
 */
package org.ow2.orchestra.services;

import org.ow2.orchestra.pvm.env.Environment;
import org.ow2.orchestra.pvm.session.MessageSession;
import org.ow2.orchestra.runtime.BpelExecution;
import org.ow2.orchestra.var.Message;

class AsyncAssociateMessageCommand extends AssociateMessageCommand {

  /**
   * @param operationKey
   * @param incomingMessage
   * @param messageCarrier
   */
  public AsyncAssociateMessageCommand(
      final OperationKey operationKey,
      final Message incomingMessage,
      final MessageCarrier messageCarrier) {
    super(operationKey, incomingMessage, messageCarrier);
  }

  @Override
  public ExecElementToSignal execute(final Environment environment) throws Exception {
    final ExecElementToSignal execToSignal = super.execute(environment);

    if (execToSignal != null) {
      final BpelExecution currentInstance = execToSignal.getBpelExecution().getProcessInstance();
      environment.get(MessageSession.class).send(
          new AsyncSignalExec(
              currentInstance,
              execToSignal.getBpelExecution().getProcessDefinition().getQName(),
              execToSignal));
      return execToSignal;
    }

    return null;
  }
}